{% extends 'base.html' %}

{% block content %}

<h1>{{ todo.title }}</h1>

<h2>{{ error }}</h2>

<form method="POST">
    {% csrf_token %}
    {{ form.as_p }}
    <button type="submit">Save</button>
</form>

<form method="POST" action="{% url 'completetodo' todo.id %}">
    {% csrf_token %}
    <button type="submit">Complete</button>
</form>

<form method="POST" action="{% url 'deletetodo' todo.id %}">
    {% csrf_token %}
    <button type="submit">Delete</button>
</form>

{% endblock %}